Skip to main content
GET
/
safe-house
/
canaries
/
{canary_id}
/
status
Check whether a canary has been triggered
curl --request GET \
  --url https://api.mnemom.ai/v1/safe-house/canaries/{canary_id}/status \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "agent_id": "<string>",
  "triggered": true,
  "triggered_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Path Parameters

canary_id
string
required

Response

Canary status (no value returned).

Canary credential planted in an agent context. canary_value is only returned on creation.

id
string
agent_id
string
canary_type
enum<string>
Available options:
api_key,
password,
database_url,
ssh_key,
oauth_token
triggered
boolean
triggered_at
string<date-time> | null
created_at
string<date-time>